Bug 782589 - When copying directory into report using addCopySpec, links inside are not handled correctly
Summary: When copying directory into report using addCopySpec, links inside are not ha...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sos
Version: 6.2
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Bryn M. Reeves
QA Contact: David Kutálek
URL:
Whiteboard:
Depends On: 717962
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-17 20:03 UTC by David Kutálek
Modified: 2012-06-20 07:25 UTC (History)
5 users (show)

Fixed In Version: sos-2.2-18.el6
Doc Type: Bug Fix
Doc Text:
* Previous versions of the sos package did not correctly handle the targets of symbolic links when copying files and directories into the report * Under some circumstances "dangling" symbolic links could appear in the report directory structure * The library routines dealing with file copying have been fixed to always copy symbolic link targets when a requested path contains a symbolic link * The sosreport command now properly handles symbolic link targets and will always collect the target of links when available
Clone Of: 717962
Environment:
Last Closed: 2012-06-20 07:25:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0958 0 normal SHIPPED_LIVE Low: sos security, bug fix, and enhancement update 2012-06-19 19:28:28 UTC

Comment 3 Bryn M. Reeves 2012-05-01 13:27:11 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
* Previous versions of the sos package did not correctly handle the targets of symbolic links when copying files and directories into the report
* Under some circumstances "dangling" symbolic links could appear in the report directory structure
* The library routines dealing with file copying have been fixed to always copy symbolic link targets when a requested path contains a symbolic link
* The sosreport command now properly handles symbolic link targets and will always collect the target of links when available

Comment 5 errata-xmlrpc 2012-06-20 07:25:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0958.html


Note You need to log in before you can comment on or make changes to this bug.